http_listen_addr: :8081
introspection_addr: :8089
log_level: debug
indexer:
  connstring: host=registry.ocp.example.com port=5433 dbname=clairdb user=clairuser password=******* sslmode=disable
  scanlock_retry: 10
  layer_scan_concurrency: 5
  migrations: true
matcher:
  connstring: host=registry.ocp.example.com port=5433 dbname=clairdb user=clairuser password=****** sslmode=disable
  max_conn_pool: 100
  run: ""
  migrations: true
  indexer_addr: localhost:8081
  update_retention: 2
  updater_sets:
#  - "alpine"
#  - "aws"
  - "debian"
#  - "oracle"
  - "photon"
  - "pyupio"
  - "rhel"
#  - "suse"
  - "ubuntu"
matchers:
  names:
#  - "alpine"
#  - "aws"
  - "debian"
  - "oracle"
  - "photon"
  - "python"
  - "rhel"
#  - "suse"
  - "ubuntu"
  - "crda"
  config:
    crda:
      url: https://gw.api.openshift.io/api/v2/
      source: clair-sample-instance
      key: <redacted>
notifier:
  connstring: host=registry.ocp.example.com port=5433 dbname=clairdb user=clairuser password=******* sslmode=disable
  disable_summary: true
  webhook: null
  amqp: null
  stomp: null
  delivery_interval: 1m
  poll_interval: 5m
  migrations: true
  indexer_addr: localhost:8081
  matcher_addr: localhost:8081

# tracing and metrics
trace:
  name: "jaeger"
  probability: 1
  jaeger:
    agent_endpoint: "localhost:6831"
    service_name: "clair"
metrics:
  name: "prometheus"
auth:
  psk:
    key: <redacted>
    iss:
      - "quay"
      - "clairctl"
